/* netexpect_comm.h -- public symbols

   Copyright (C) 2007 Eloy Paris
   Copyright (C) 1987-2002 Don Libes <libes@cme.nist.gov>,
	National Institute of Standards and Technology <http://www.nist.gov/>

   This is part of Network Expect (nexp)

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _NETEXPECT_COMM_H
#define _NETEXPECT_COMM_H

/* Common return codes for Expect functions */
#define NEXP_EOF	-1
#define NEXP_TIMEOUT	-2
#define NEXP_TCLERROR	-3
#define NEXP_MATCH	-6
#define NEXP_NOMATCH	-7

/* Tcl does not safely provide a way to define the values of these, so */
/* use ridiculously different numbers for safety */
#define NEXP_CONTINUE		-101	/* continue expect command */
					/* and restart timer */

#endif /* _NETEXPECT_COMM_H */
